package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/7/1 17:43
 * @Description:
 **/
public class DicShareDataRequirementState {

    public static final String ALL ="全部";
    public static final String PENDING ="待审核";
    public static final String REJECTED= "审核不通过";
    public static final String FEEDBACKING= "待反馈";
    public static final String FEEDBACKED= "已反馈";
    public static final String WAITING= "待提交";
    public static final String OFFSHELVES ="已下架";
    private static DicShareDataRequirementState instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicShareDataRequirementState(){
        dicMap = new LinkedHashMap<>();
        dicMap.put(ALL,ALL);
        dicMap.put(OFFSHELVES,OFFSHELVES);
        dicMap.put(PENDING,PENDING);
        dicMap.put(REJECTED,REJECTED);
        dicMap.put(FEEDBACKING,FEEDBACKING);
        dicMap.put(FEEDBACKED,FEEDBACKED);
        dicMap.put(WAITING,WAITING);
    }

    public  static DicShareDataRequirementState getInstance(){
        if(instance==null){
            instance = new DicShareDataRequirementState();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }

}
